- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# free – Executes tasks without waiting for all hosts

- Synopsis

- Status

## Synopsis

- Task execution is as fast as possible per batch as defined by `serial` (default all). Ansible will not wait for other hosts to finish the current task before queuing more tasks for other hosts. All hosts are still attempted for the current task, but it prevents blocking new tasks for hosts that have already finished.

- With the free strategy, unlike the default linear strategy, a host that is slow or stuck on a specific task won’t hold up the rest of the hosts and tasks.

## Status

- This strategy is not guaranteed to have a backwards compatible interface. [preview]

- This strategy is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.